package com.zd.airbottle.mapper;

import java.util.List;
import java.util.Map;

import com.zd.airbottle.domain.QpQualificationApply;
import com.zd.airbottle.domain.vo.QpQualificationApplyVO;

/**
 * 用气资格申请Mapper接口
 *
 * @author zd
 * @date 2022-05-10
 */
public interface QpQualificationApplyMapper
{
    /**
     * 查询资格申请
     *
     * @param id 资格申请主键
     * @return 资格申请
     */
    public QpQualificationApplyVO selectQpQualificationApplyById(Long id);

    /**
     * 查询资格申请列表
     *
     * @param qpQualificationApply 资格申请
     * @return 资格申请集合
     */
    public List<QpQualificationApplyVO> selectQpQualificationApplyList(QpQualificationApplyVO qpQualificationApply);

    /**
     * 新增资格申请
     *
     * @param qpQualificationApplyVo 资格申请
     * @return 结果
     */
    public int insertQpQualificationApply(QpQualificationApplyVO qpQualificationApplyVo);

    /**
     * 修改资格申请
     *
     * @param qpQualificationApply 资格申请
     * @return 结果
     */
    public int updateQpQualificationApply(QpQualificationApply qpQualificationApply);

    /**
     * 删除资格申请
     *
     * @param id 资格申请主键
     * @return 结果
     */
    public int deleteQpQualificationApplyById(Long id);

    /**
     * 批量删除资格申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQpQualificationApplyByIds(Long[] ids);

    /**
     * 资格申请 和用气申请合并查询
     * @return
     */
    public List<QpQualificationApplyVO> selectQpApplyList(QpQualificationApplyVO applyVO);

    /***
     * 小程序-管理端-资格审核
     * @param applyVO
     * @return
     */
    public List<QpQualificationApplyVO> selectQpApplyListManageApp(QpQualificationApplyVO applyVO);

    /***
     * 重新申请
     * @param qualificationApply
     */
    public int updateQpQualificationApplyRepeat(QpQualificationApply qualificationApply);

    /***
     * 根据当前登录用户 查询资格申请总数
     * @param applyVO
     * @return
     */
    public List<QpQualificationApplyVO> selectApplyListCount(QpQualificationApplyVO applyVO);

    /**
     * 学生是否有该实验室的准入资格
     * @param map
     * @return
     */
    public String checkStudentQualification(Map<String, Object> map);

    /**
     * 老师是否有准入资格
     * @param map
     * @return
     */
    public String checkTeacherQualification(Map<String, Object> map);

    /**
     * 我的实验室集合
     * @param adminId
     * @return
     */
    public List<Map<String, Object>> selectMySubject(Long adminId);
}
